# Uses of Interface
org.eclipse.birt.core.script.IScriptEngineFactory

Packages that use IScriptEngineFactory
Package
Description
org.eclipse.birt.core.script
Provides Java Script support to BIRT.

## Uses of IScriptEngineFactory in org.eclipse.birt.core.script

Methods in org.eclipse.birt.core.script that return IScriptEngineFactory
Modifier and Type
Method
Description
`protected abstract IScriptEngineFactory`
ScriptEngineFactoryManager.`createFactory(String language)`
`IScriptEngineFactory`
IScriptEngine.`getFactory()`
Returns the script engine factory which created this engine instance.
`IScriptEngineFactory`
ScriptEngineFactoryManager.`getScriptEngineFactory(String language)`